package com.android.servicetime;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.CheckBox;

public class ServiceStartActivity extends Activity implements OnClickListener
{

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.service_enable);
		CheckBox cbox = (CheckBox) findViewById(R.id.chkbox);
		cbox.setOnClickListener(this);
	}

	@Override
	public void onClick(View v)
	{
		CheckBox cbox = (CheckBox) v;
		Intent servIntent = new Intent(this, LocationService.class);
		if (cbox.isChecked())
		{
			startService(servIntent);
		}
		else
		{
			stopService(servIntent);
		}
	}
}
